<?php
//require_once 'config.php';
$tArr =[
    ['cronjobs','Cron Jobs layers','',''],
    ['dashrecent','Dash Recent layer','',''],
    ['playground','Playground layer','',''],
    ['getmedia','Read Files from server','',''],
    ['getaccsettings','Get Account Settings','',''],
    ['setaccsettings','Set Account Settings','',''],
    ['startcredit','Start Credit','',''],
    ['authstart-google','Auth Start for google','',''],
    ['resources','Resources Dev','',''],
    ['askresources','Resources Ask Engine','',''],
    ['blogdata','Blog Data','',''],
    ['mynotifications','Notifications hx','',''],
    ['faq','Faq page *******','',''],
    ['login','This is the username password login call','https://docs.google.com/document/d/16wQi3vK2sEPexIU-MVLL_tbqiLn0brUfErdKMO26D9A/edit',''],
    ['qrlogin','This is the QR  login call','https://docs.google.com/document/d/16wQi3vK2sEPexIU-MVLL_tbqiLn0brUfErdKMO26D9A/edit',''],
    ['login-google','This is the username password login call','https://docs.google.com/document/d/16wQi3vK2sEPexIU-MVLL_tbqiLn0brUfErdKMO26D9A/edit',''],
    ['signup','This is the sign up endpoint for manual account creation , we will have modified version for OAuth latter','',''],
    ['signup2','Country Removed This is the sign up endpoint for manual account creation , we will have modified version for OAuth latter','',''],

    ['profilepasschange','Reset Pass from Profile','',''],
    ['userscards','What are you for really *******','',''],
    ['wallet','This list the user wallets. Note the user can have multiple wallets of different currencies and behavior. We will start with the primary wallets.','',''],
    ['paymenthx','Payment Hx','',''],
    ['couponhx','Coupon Hx','',''],
    ['couponredeem','Coupon Redeem','',''],
    ['purchasehx','Purchase Hx','',''],
    ['startjoblist', 'List Jobs in the market space','',''],
    ['signupcountry','List countries signup allowed from','', ''],
    ['countrybanks','Country Banks','',''],
    ['recipients','List all account recipients','',''],
    ['addrecipient','Add Recipient','',''],
    ['sendmoneyfee','Send money fee','',''],
    ['sendmoney', 'Send money','',''],
    ['updateprofile','Update users profile','',''],
    ['sendreferral','Send Refferer','',''],
    ['refferhx','Refferal Hx','',''],
    ['getpendingjobs','Get Users Pending Jobs*** NOT SURE','',''],
    ['offerslist','VALID: **** Jobs Sent to a User - These Jobs expires in about 24 hours','','style="background-color:#F3FA98;"'],
    ['offersresponse-accept','Accept to start an offer','','style="background-color:#F3FA98;"'],
    ['offersresponse-reject','Reject to start an offer','','style="background-color:#F3FA98;"'],
    ['startresetpasword', 'Reset Password Process','',''],
    ['verifyresetpasword', 'Verify Reset Password Process can cointinue','',''],
    ['stepresetpass-final','Final; Step Reset pass','',''],
    ['accounttypes', 'Used for account typed when adding a bank account','',''],
    ['loadprofile','Load user profile','',''],
    ['verifysignuplink','VERIFY Signup link','',''],
    ['completesignuplink','Complete Signup Link','',''],
    ['homebanners','Home Banners + Recomendation Engine 1','', ''],
    ['recentactivities','Recent Activities','', ''],
    ['getjobsdata','?? confirm','',''],
    ['LINE','?? confirm','',''],
    ['activejoblist','Job Beign Worked On USERS','','style="background-color:red" '],
   
    ['activejobmsglist','Listing message to active job','','style="background-color:#A9DDE2" '],
    ['sendtaskmessage','activejobmsgadd - Adding message to active job','','style="background-color:#A9DDE2" '],
    ['activejobmessage','Adding message to active job','','style="background-color:#A9DDE2" '],

	['jobmanagerlist', 'Job owner job list', '','style="background-color:Orange" '],
	['jobmanageroffers', 'Job owner job open offers list', '','style="background-color:Orange" '],
    ['jobmanageractive','Job Beign Worked On OWNER of Job','','style="background-color:red" '],


	['jobmanageragree', 'Job Agree','','style="background-color:Orange" '],
	['jobmanagerlist', 'Job owner job list', '','style="background-color:Orange" '],
    ['jobmanagerlist_family', 'Job owner job FAMILY  list', '','style="background-color:Orange" '],
	['jobmanagercreatejob', 'Create a new Job - general job mode', '','style="background-color:Orange"'],
	['jobmanagerupdatejob', 'Update a Job - general job mode','','style="background-color:Orange" '],
    ['jobmanagerdeletejob', 'Delete a Job - general job mode','','style="background-color:Orange" '],

    ['pendingjobextend',' - Extend offers expiration','','style="background-color:#FFEBCD" '],
    ['pendingjobsendtome',' - Re-Send Offer Message','','style="background-color:#FFEBCD" '],
    ['pendingjobcancel',' - Cancel Pending Offer','','style="background-color:#FFEBCD" '],

    ['starttopup', 'Retired USE *** startcredit *** Instead Start naira top up','',''],
    ['topupresult', 'Use this for status of the Flutterwave based credit result','',''],
    ['familylist', 'Get list of Family Accounts','','style="background-color:aliceblue" '],
    ['familyadd', 'Add Family Account','','style="background-color:aliceblue" '],
    ['familyupdate', 'Update Family Account','','style="background-color:aliceblue" '],
    ['familymanage', 'Manage A Family Account','','style="background-color:aliceblue" '],
    ['familylogin', 'LoginA Family Account','','style="background-color:aliceblue" '],
    ['familytasks', 'All or Family Member Tasks','','style="background-color:aliceblue" '],

    ['familysuggesttasks', 'The action of suggestiing a task to parent','','style="background-color:cyan" '],
    ['familysuggestlist', 'The list of What is already suggested','','style="background-color:cyan" '],
    ['familysampletasks', 'Possible Tasks List A Kids can Select From','','style="background-color:cyan" '],

    ['familywaitingtasks', 'This is the Parent View of all waiting list','','style="background-color:cyan" '],
    

    ['assigntask', 'Assign a task to a user. Note different call method','','style="background-color:#E4EBD2" '],
    ['assigntask-family', 'Assign a task to a user FAMILY TYPE.','','style="background-color:#E4EBD2" '],
    ['assigntask-individual', 'Assign a task to a user INDIVIDUAL TYPE.','','style="background-color:#E4EBD2" '],
    ['assigntask-public', 'Assign a task to a user PUBLIC TYPE.','','style="background-color:#E4EBD2" '],
    ['assigntask', 'Assign a task to a user. Note different call method','','style="background-color:#E4EBD2" '],

    ['marketmessage',  'Send message from market task ','','style="background-color:#edcae3" '],
    ['marketinterest', 'Send interest from market task ','','style="background-color:#edcae3" '],

    ['offersinterestlist', 'interest Lists ','','style="background-color:#edcae3" '],
    ['offersinterestproc', 'Process Selected Interest','','style="background-color:#edcae3" '],
    ['offerinterestmsg', 'Message On Offer Interest Page ','','style="background-color:#edcae3" '],
    ['offerinterestlistmsg', 'List Selection Messages','','style="background-color:#edcae3" '],


    ['LINE','?? confirm','',''],
    ['paylistcard', 'List Cards on the account', '','style="background-color:violet" '],
    ['paynewcard', 'Pay with new card', '','style="background-color:violet" '],
    ['payprevcard','Pay with previous card','','style="background-color:violet" '],
    ['payremcard','Removed Previously added card','','style="background-color:violet" '],
    ['LINE','?? confirm','',''],
   
    
];

//

define('LOGIN_GOOGLE',   990010);
define('LOGIN_FACEBOOK', 990011);
define('LOGIN_APPLE',    990012);

define('PHP_API_OK', 0);
define('PHP_LOGIN_OK', 100);
define('PHP_CREATED_OK', 10);
define('PHP_API_BAD_PARAM', -1);
define('SESSION_TIMEOUT_LOGOUT',6000);

define('ASSIGN_MODE_FAMILY',       110011);
define('ASSIGN_MODE_INDIVIDUAL',   110022);
define('ASSIGN_MODE_EMAIL',        110033);
define('ASSIGN_MODE_GROUP',        110044);
define('ASSIGN_MODE_CREATEASSIGN', 110055);

define('MOBILE_LOGIN', 1101);

define('LOGIN_MODE_GENERAL', 1100);
define('LOGIN_MODE_FAMILY',  1105);

define('SUPPORT_PHONE','+234 (818)-3866434');

define('UPLOAD_FILE_SIZE',1);

define('OFFER_ACCEPT',100);
define('OFFER_REJECT',333);
define('OFFER_CANCEL',222);
define('OFFER_EXPIRE',444);

define('JOB_INTEREST_ACCEPT',100);
define('JOB_INTEREST_REJECT',200);
define('JOB_INTEREST_CANCEL',300);

define('SMONEY_PROCC_MANUAL',100);
define('SMONEY_PROCC_AUTO',200);
define('SMONEY_PROCC_INTERSWITCH',300);

define('ACCOUNT_AGREE_JOBS',100);
define('ACCOUNT_AGREE_REFER',200);

define('WRENCHBOARD_GET_MEDIA',650);

define('WRENCHBOARD_SESSION_CHECK', 299);
define('WRENCHBOARD_USER_LOGIN', 300);
define('WRENCHBOARD_USER_LOGOUT', 301);
define('WRENCHBOARD_CREATE_ACCOUNT', 320);

define('CONTRACT_CANCEL_CONTRACT', 7);
define('CONTRACT_EXTEND_TIMELINE', 9);
define('CONTRACT_NOTIFY_COMPLETE', 4);
define('CONTRACT_REQUEST_CANCEL', 3);
define('CONTRACT_ACCEPT_COMPLETE', 5);
define('CONTRACT_REJECT_COMPLETE', 1);

define('WRENCHBOARD_USER_ADNEWCC',     11054);
define('WRENCHBOARD_USER_CARDLIST',    11055);
define('WRENCHBOARD_USER_USESAVEDCC',  11056);

define('WRENCH_EXISTING_ACCOUNT', 100);
define('WRENCH_NEWBANK_ACCOUNT',  500);


//**************************************************************
define('WRENCHBOARD_BKO_START', 10000);

define('WRENCHBOARD_BKO_LOGIN', 10010);
define('WRENCHBOARD_BKO_CREATEUSER', 10015);
define('WRENCHBOARD_BKO_UPDATEUSER', 10020);

define('WRENCHBOARD_BKO_END', 10999);
//**************************************************************
define('WRENCHBOARD_ACCOUNT_START', 11000);

define('WRENCHBOARD_PROFILE_RESETPASS', 11005);

define('WRENCHBOARD_ACCOUNT_TESTEMAIL', 11001);
define('WRENCHBOARD_ACCOUNT_PENDING',   11010);

define('WRENCHBOARD_CREATE_MOBILEUSER',   11011 );
define('WRENCHBOARD_COMPLETE_MOBILEUSER', 11012 );

define('WRENCHBOARD_RESET_PASSWORD', 11013 );
define('WRENCHBOARD_ACCOUNT_JOBLIST',11014 );

define('WRENCHBOARD_VERIFY_PENDING_LINK', 11015);
define('WRENCHBOARD_ACCOUNT_RESETPASS', 11016);
define('WRENCHBOARD_ACCOUNT_SETPASSWD', 11017);

define('WRENCHBOARD_DELETE_PENDING_LINK', 11018);
define('WRENCHBOARD_RESEND_PENDING_LINK', 11019);

define('WRENCHBOARD_GOOGLE_LOGIN', 11027);
define('WRENCHBOARD_APPLE_LOGIN', 11031);

define('WRENCHBOARD_ACCOUNT_CREATEACC', 11020);
define('WRENCHBOARD_ACCOUNT_LOGIN', 11025);
define('WRENCHBOARD_FACEBOOK_LOGIN', 11026);
define('WRENCHBOARD_START_JOBLIST', 11028);
define('WRENCHBOARD_ACCOUNT_DASHDATA', 11029);

define('WRENCHBOARD_SEND_CONTACTUS', 11030);
define('WRENCHBOARD_ACCOUNT_SENDREFER',11032);
define('WRENCHBOARD_ACCOUNT_REFERLINK',11033);
define('WRENCHBOARD_SESSION_VERIFY',  11034);
define('WRENCHBOARD_UPDATE_PROFILE',11035);
define('WRENCHBOARD_ACCOUNT_TERMS',11036);
define('WRENCHBOARD_ACCOUNT_MDESCRIPTION',11037);
define('WRENCHBOARD_ACCOUNT_SAVESKILL', 11038);
define('WRENCHBOARD_ACCOUNT_DELSKILL', 11039);
define('WRENCHBOARD_LOG_MEMBER',   11040);

define('WRENCHBOARD_DELETE_RECACC',   11041);
define('WRENCHBOARD_SAVE_GALLERY', 11042);

define('WRENCHBOARD_ACCOUNT_PENDJOB',  11043 );


define('WRENCHBOARD_USER_GETBANKLIST', 11050);
define('WRENCHBOARD_USER_SENDMONEY',   11051);
define('WRENCHBOARD_USER_SENDJOBINT',  11052);

define('WRENCHBOARD_USER_SETTINGS',    11058);
define('WRENCHBOARD_GETUSER_SETTINGS', 11059);

define('WRENCHBOARD_ACCOUNT_WALLETS',   11060);
define('WRENCHBOARD_ACCOUNT_REFFERHX',  11064);

define('WRENCHBOARD_ACCOUNT_PREPARE_TOPUP', 11062);
define('WRENCHBOARD_ACCOUNT_COMPLETE_TOPUP', 11063);

define('WRENCHBOARD_ACCOUNT_PRICE_COMBO',      11171);
define('WRENCHBOARD_ACCOUNT_JOBPOST_DURATION', 11173);
define('WRENCHBOARD_ACCOUNT_USER_RECIPEINT',   11175);
define('WRENCHBOARD_ACCOUNT_ADD_RECIPEINT',    11176);
define('WRENCHBOARD_ACCOUNT_ACCOUNT_TYPES',    11177);
define('WRENCHBOARD_ACCOUNT_COUNTRY_COMBO',    11179);
define('WRENCHBOARD_ACCOUNT_JOB_COUNTRY',      11181);
define('WRENCHBOARD_ACCOUNT_COUNTRY_BANKS',    11183);

define('WRENCHBOARD_ACCOUNT_HOMEBANNERS',  11200);
define('WRENCHBOARD_ACCOUNT_RECENTS',       11202);
define('WRENCHBOARD_ACCOUNT_NOTIFICATIONS',11205);

define('WRENCHBOARD_PICTURE_PROFILE',  11300);
define('WRENCHBOARD_PICTURE_FAMMEMBER',11305);

define('WRENCHBOARD_RESOURCE_MYFILES', 11307);

define('WRENCHBOARD_ACCOUNT_END', 11999);
//**************************************************************
define('WRENCHBOARD_JOB_POSTAGREE', 13002);
define('WRENCHBOARD_JOB_LISTJOBS',  13005);
define('WRENCHBOARD_JOB_OFFERS',    13006);
define('WRENCHBOARD_JOB_ACTIVE',    13008);

define('WRENCHBOARD_JOB_CREATEJOB',13010 );
define('WRENCHBOARD_JOB_DELETEJOB',13011 );

define('WRENCHBOARD_JOB_GROUP_MEMBER', 13015) ;
define('WRENCHBOARD_JOB_DELETE_GROUPMEMBER',13017);
define('WRENCHBOARD_JOB_CREATE_GROUP', 13020);
define('WRENCHBOARD_JOB_DELETE_GROUP',13023);

define('WRENCHBOARD_JOB_OFFER_INTLIST',   13024);  // offers interest list
define('WRENCHBOARD_JOB_OFFER_SYSTEM',13025);
define('WRENCHBOARD_JOB_OFFER_FAMILY',13029);
define('WRENCHBOARD_JOB_OFFER_INDVI',13030);
define('WRENCHBOARD_JOB_OFFER_GROUP',13031);
define('WRENCHBOARD_JOB_OFFER_PUBLIC',13032);
define('WRENCHBOARD_JOB_SEND_INTEREST',13033);
define('WRENCHBOARD_JOB_PROC_INTEREST',13034);
define('WRENCHBOARD_JOB_OFFER_CONCLUDE',13035);
define('WRENCHBOARD_JOB_SEND_QUESTION',13036);
define('WRENCHBOARD_JOB_MRKTINT_QUEST',13037);
define('WRENCHBOARD_JOB_REPLY_QUESTION',13038);
//define('WRENCHBOARD_JOB_REPLY_QUESTION',13038);
define('WRENCHBOARD_JOB_EXTEND_EXPIRE' ,13041);
define('WRENCHBOARD_JOB_RESEND_MESSAGE',13042);
define('WRENCHBOARD_JOB_CANCEL_OFFER'  ,13043);

//define('WRENCHBOARD_JOB_SEND_QUESTION',13036);

define('WRENCHBOARD_GROUP_START', 12000);


define('WRENCHBOARD_GROUP_CREATEGROUP', 12010);
define('WRENCHBOARD_GROUP_INVITEGROUP', 12015);
define('WRENCHBOARD_GROUP_ACCEPTGROUP', 12020);

define('WRENCHBOARD_GROUP_END', 12999);
//**************************************************************
define('WRENCHBOARD_FAMILY_LIST',           22010);
define('WRENCHBOARD_FAMILY_ADD',            22015);
define('WRENCHBOARD_FAMILY_UPDATE',         22020);
define('WRENCHBOARD_FAMILY_MANAGE',         22025);
define('WRENCHBOARD_FAMILY_SAMPLETASKS',    22027);
define('WRENCHBOARD_FAMILY_SGGESTTASKS',    22028);
define('WRENCHBOARD_FAMILY_SGGESTLIST',     22029);
define('WRENCHBOARD_FAMILY_SGGESTWAITING',  22030);


define('WRENCHBOARD_CONTRACT_MESSAGE', 14010);
define('WRENCHBOARD_CONTRACT_MSGLIST', 14011);

define('WRENCHBOARD_CONTRACT_STATUS', 14015);



define('WRENCHBOARD_MOBILE_OFFERSLIST', 15010);
define('WRENCHBOARD_MOBILE_OFFERSRESP',  15012);

define('WRENCHBOARD_MOBILE_ACTIVEJOB', 15020);
define('WRENCHBOARD_MOBILE_LOADPROFILE',  15030);
define('WRENCHBOARD_MOBILE_UPDATEPROFILE',15031);
define('WRENCHBOARD_MOBILE_ACCOUNT', 15040);
define('WRENCHBOARD_MOBILE_MESSAGE',  15045);
define('WRENCHBOARD_MOBILE_PAYMENTHX', 15046);
define('WRENCHBOARD_MOBILE_TASKMESSAGE', 15047);
define('WRENCHBOARD_MOBILE_SENDTASKMESSAGE', 15048);
define('WRENCHBOARD_MOBILE_PURCHASEHX',   15049);




define('WRENCHBOARD_SMONEY_ADDRECIPIENT', 33010);
define('WRENCHBOARD_SMONEY_MEMBER', 33020);
define('WRENCHBOARD_SMONEY_PROCFEE',  33025);

define('WRENCHBOARD_SMONEY_BKOPROC',  33030 );


define('WRENCHBOARD_LOGIN_SHOP', 50501);
define('WRENCHBOARD_LOGIN_ADMIN', 50502);
define('WRENCHBOARD_LOGIN_MANAGER', 50503);

define('WRENCHBOARD_SURVEY_DATA', 55000);
define('WRENCHBOARD_ADD_SURVEY', 55050);
define('WRENCHBOARD_LOAD_SURVEY', 55055);


define('WRENCHBOARD_COMPLETE_SENDMONEY_INTERSW', 555);
define('WRENCHBOARD_GETBILLER_INTERSW', 556);
define('WRENCHBOARD_BILL_PAYMENT_ADVICE_INTERSW', 557);

define('WRENCHBOARD_INTERSW_GETBILLER', 556);
define('WRENCHBOARD_INTERSW_BILL_PAYMENT_ADVICE', 557);
define('WRENCHBOARD_INTERSW_GETBILLERPAYMENTINTEMS', 558);
define('WRENCHBOARD_INTERSW_GETBILLERCATEGORIES', 559);
define('WRENCHBOARD_INTERSW_DO_TRANSFER', 560);
define('WRENCHBOARD_INTERSW_QUERY_TRANSACTION', 561);

define('WRENCHBOARD_ADD_MONEYRECIPIENT', 600);

define('WRENCHBOARD_CREATE_USER_ACCOUNT', 700);
define('WRENCHBOARD_USER_ACCOUNT_LOGIN', 710);
define('WRENCHBOARD_START_PASSWORDRESET', 720);
define('WRENCHBOARD_COMPLETE_PASSWORDRESET', 730);

//const WRENCHBOARD_START_PASSWORDRESET = 720;
const WRENCHBOARD_VERIFY_PASSWD_RESETLINK = 725;
//const WRENCHBOARD_COMPLETE_PASSWORDRESET = 730;

//#define	WRENCHBOARD_START_ADDMONEY',  770 );
//#define	WRENCHBOARD_COMPLETE_ADDMONEY'	775 );

define('WRENCHBOARD_CARDS_GETCARDLIST', 40010);
define('WRENCHBOARD_CARDS_UPDATECARD',  40015) ;

define('WRENCHBOARD_COUPON_REDEEM',   85020);
define('WRENCHBOARD_COUPON_MEMLIST',  85025);
define('WRENCHBOARD_COUPON_PENDLIST', 85030);


define('WRENCHBOARD_ADD_MOBILE_TOPUPNUM', 900);
define('WRENCHBOARD_PROMO_CALL', 990);


define('WRENCHBOARD_STOREFACE_GET_ACCOUNT_BALANCE', 891);

define('WRENCHBOARD_LOG_ENTRY', 900000);
define('WRENCHBOARD_CREDIT_TOPUP', 900010);

define('WRENCHBOARD_TOPUP_ORDER', 900020);
define('WRENCHBOARD_TOPUP_ORDER_PURCHASE', 900030);
define('WRENCHBOARD_PAYPAL_IPNMSG', 900090);

define('WRENCHBOARD_BULKTOPUP_ORDER', 700010);
define('WRENCHBOARD_BULKTOPUP_ITEM', 700020);
define('WRENCHBOARD_BULKTOPUP_ITEMUPDATE', 700030);
define('WRENCHBOARD_BULKTOPUP_DELIVER', 700040);

define('WRENCHBOARD_BALANCE_TOPUP_ORDER', 800020);
define('WRENCHBOARD_BALANCE_TOPUP_PURCHASE', 800030);
define('WRENCHBOARD_BALANCE_TOPUP_PAYMENT', 800040);

define('VIRTUAL_AIRTOPUP', 70011);
define('PAY_MODE_BALANCE', 0);
define('PAY_MODE_CCARD', 1);
define('PAY_MODE_BONUS', 9);
define('APPROVED_BALANCE', 5);
define('DISAPROVE_BALANCE', 3);

// define('OFFER_ACCEPT',100);
// define('OFFER_REJECT',333);
// define('OFFER_CANCEL',222);
// define('OFFER_EXPIRE',444);

